local circles = {}
local function ccollision(c1, c2)
	distance = math.floor(((c1.x-c2.x)^2+(c1.y-c2.y)^2)^0.5)
	collisiondistance = math.floor(c1.size+c2.size)
	return distance > collisiondistance-0.5 and distance < collisiondistance+0.5
end
local beep = love.audio.newSource("beep_1.mp3","static")

function love.mousepressed(x,y,b)
	if b == "l" then
		newcircle = {
			size = 0,
			n = 20,
			x = x,
			y = y
		}
		table.insert(circles,newcircle)
	end
end

function createsound(nu)
	TEH = nu
	TEH = 300-TEH
	if TEH > 0 then
		TEH = TEH/75
	else
		TEH = TEH/1200
	end
	beep:setPitch(TEH)
	--[[max of 'nu' is 600 and the minimum is 0
	we can maximaly shift two times 50%, so the limits are -0.25 and 4
	we make numbers between -300 and 300 like so 300-nu
	this results in also this : the lower the nu, the higher the sound, how higher the nu, how lower the sound
	to make the -300 and the 300 to -0.25 and 4 we do so :
	300/75 = 0.25
	-300/1200 = 0.25
	so there you go :D
	]]
	love.audio.play(beep)
end

function love.update(dt)
	for i,c1 in pairs(circles) do
		for i,c2 in pairs(circles) do
			if c1 == c2 then else
				if ccollision(c1,c2) then
					createsound(c1.size+c2.size)
					c1.n = c1.n*-1
					c2.n = c2.n*-1
				end
			end
		end
		c1.size = c1.size+c1.n*dt
		if c1.size < 0 then
			c1.size = 0
			c1.n = c1.n*-1
		end
	end
end
function love.keypressed(k)
	if k == " " then
		circles = {}
	end
end

function love.draw()
	for i,c in pairs(circles) do
		love.graphics.circle("line",c.x,c.y,c.size,100)
	end
end